: Class ListEnumerator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jregex.util.io
Class ListEnumerator

    java.lang.Object
      |
      +--jregex.util.io.Enumerator
            |
            +--jregex.util.io.ListEnumerator

All Implemented Interfaces:
  java.util.Enumeration

public class ListEnumerator
extends jregex.util.io.Enumerator

Inner Class Summary
`static interface` | `ListEnumerator.Instantiator`

Field Summary
`protected java.lang.Object` | `currObj`
`static ListEnumerator.Instantiator` | `defaultInstantiator`

Constructor Summary
`ListEnumerator(java.io.File dir, ListEnumerator.Instantiator i)`
`ListEnumerator(java.io.File dir, java.lang.String[] names, ListEnumerator.Instantiator i)`

Method Summary
`protected boolean` | `find()`
`boolean` | `hasMoreElements()`
`java.lang.Object` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultInstantiator

    public static final ListEnumerator.Instantiator defaultInstantiator

### currObj

    protected java.lang.Object currObj

Constructor Detail

### ListEnumerator

    public ListEnumerator(java.io.File dir,
                          ListEnumerator.Instantiator i)

### ListEnumerator

    public ListEnumerator(java.io.File dir,
                          java.lang.String[] names,
                          ListEnumerator.Instantiator i)

Method Detail

### find

    protected boolean find()

  Overrides:
    `find` in class `jregex.util.io.Enumerator`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD